<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.elytron.http-authentication-factory" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="http-server-mechanism-factory,mechanism-configurations,security-domain"/>
        <elem name="addr-params" value="profile,host,subsystem,http-authentication-factory"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.security.http-authentication-factory.$http-authentication-factory"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.security.http-server-mechanism-factory.$http-server-mechanism-factory"/>
        <capability name="$profile.org.wildfly.security.security-domain.$security-domain"/>
    </requires>
    <refs>
        <ref feature="subsystem.elytron"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="security-domain" stability="default"/>
        <param name="http-authentication-factory" feature-id="true"/>
        <param name="http-server-mechanism-factory" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="elytron"/>
        <param name="mechanism-configurations" nillable="true" stability="default"/>
    </params>
</feature-spec>